### Method

# Gtk Snapshotappend_border

#### Declaration [src]

    void
    gtk_snapshot_append_border (
      GtkSnapshot* snapshot,
      const GskRoundedRect* outline,
      const float* border_width,
      const GdkRGBA* border_color
    )

#### Description [src]

Appends a stroked border rectangle inside the given `outline`.

The four sides of the border can have different widths and colors.

#### Parameters

`outline`

  Type: `GskRoundedRect`

  The outline of the border.

  The data is owned by the caller of the method.

`border_width`

  Type: An array of `float`

  The stroke width of the border on the top, right, bottom and left side respectively.

  The array must have 4 elements.
  The data is owned by the caller of the method.

`border_color`

  Type: An array of `GdkRGBA`

  The color used on the top, right, bottom and left side.

  The array must have 4 elements.
  The data is owned by the caller of the method.